
%% 获取卫星相关信息
function Satellite = GetSatelliteData(xmlStruct)
Satellite.time = str2date(xmlStruct.StartTime); % 字符串转换为日期格式
Satellite.name = xmlStruct.SatelliteID; % 获取当前卫星的名称

Satellite.TopLeftLatitude = str2double(xmlStruct.TopLeftLatitude);
Satellite.TopRightLatitude = str2double(xmlStruct.TopRightLatitude);
Satellite.BottomLeftLatitude = str2double(xmlStruct.BottomLeftLatitude);
Satellite.BottomRightLatitude = str2double(xmlStruct.BottomRightLatitude);
Satellite.TopLeftLongitude = str2double(xmlStruct.TopLeftLongitude);
Satellite.TopRightLongitude = str2double(xmlStruct.TopRightLongitude);
Satellite.BottomLeftLongitude = str2double(xmlStruct.BottomLeftLongitude);
Satellite.BottomRightLongitude = str2double(xmlStruct.BottomRightLongitude);
end
